#include <stdio.h>
#include <string.h>

#include "filter.h"
#include "die.h"


int main( int argc, char *argv[] )
{
	char *progname = *argv;

	/* Option defaults:
	 */
	int add_dot = 0;

	++argv;
	--argc;

	while ( argc && **argv == '-' ) {

		if ( strcmp( *argv, "-dot" ) == 0 )
			++add_dot;
		else
			die( "\nUsage: %s [ -dot ] [ file ... ]\n", progname );

		++argv;
		--argc;
	}

	if ( argc ) {

		while ( argc ) {

			FILE *f = fopen( *argv, "r" );

			if ( f == NULL )
				die_io( *argv );

			read_input( f, *argv, NULL );

			fclose( f );

			++argv;
			--argc;
		}
	}
	else {
		read_input( stdin, "stdin", NULL );
	}

	write_output( stdout, "stdout", add_dot, NULL );

	return 0;
}
