#ifndef DIE_H
#define DIE_H

#include <stdlib.h>
#include <stdarg.h>

void die( const char *format, ... );
void die_io( const char *s );
void die_mem();
void die_syntax( const char *s );

void *malloc_or_die( size_t size );
char *strdup_or_die( const char *s );

#endif
